{% extends 'users/base.html' %}

{% block content %}

    <div class="row">
        <div class="col-md">
            <div class="card card-body">
                <legend class="border-bottom mb-4">PROFILE</legend>

                <p><b>Name:</b> {{ user.profile.name }}</p>
                <p><b>Email:</b> {{ user.email }}</p>
                <p><b>Joined:</b> {{ user.profile.date_joined }}</p>
                {% for schools in user.profile.schools.all %}
                <p><b>School:</b> {{ schools }}</p>
                {% endfor %}
                <p><b>Grades:</b> {{ user.profile.grades }}</p>
                <a class="btn btn-outline-info btn-sm btn-block w-25 mb-2" href="{% url 'update_profile' %}">Update Profile</a>
                <a class="btn btn-outline-warning btn-sm btn-block w-25" href="{% url 'delete_profile' user.id %}">Delete Profile</a>
            </div>
        </div>

        <!-- <div class="col-md">
            <div class="card card-body">
                <h5>Items Needed</h5>
                <hr>
                <h1 style="text-align: center;padding: 10px">{{ total_items }}</h1>
                <a class="btn btn-outline-info  btn-sm btn-block" href="{% url 'create_item' %}">Create Item</a>
            </div>
        </div>

        <div class="col-md">
            <div class="card card-body">
                <h5>Items Fulfilled</h5>
                <hr>
                <h1 style="text-align: center;padding: 10px">{{ total_items }}</h1>
            </div>
        </div>
    </div> -->

    <div class="row pt-4">
        <div class="col-md">
            <div class="card card-body">
                <legend class="border-bottom mb-4">ITEMS</legend>
                <table class="table table-sm">
                    <tr>
                        <th>Name</th>
                        <th>Category</th>
                        <th>Description</th>
                        <th>Quantity</th>
                        <th>Total</th>
                        <th>Status</th>
                        <th>Update</th>
                        <th>Delete</th>
                    </tr>
                    
                    <tr>
                    {% for item in items %}
                        <th>{{ item.name }}</th>
                        <th>{{ item.category }}</th>
                        <th>{{ item.description }}</th>
                        <th>{{ item.quantity }}</th>
                        <th>{{ item.total }}</th>
                        <th>{{ item.status }}</th>
                        <th><a class="btn btn-outline-info btn-sm btn-block" href="{% url 'update_item' item.id %}">Update</a></th>
                        <th><a class="btn btn-outline-warning btn-sm btn-block" href="{% url 'delete_item' item.id %}">Delete</a></th>
                    </tr>
                    {% endfor %}
                </table>
                <a class="btn btn-outline-info btn-sm btn-block w-25" href="{% url 'create_item' %}">Create Item</a>
            </div>
        </div>
    </div>
    
    
{% endblock %}